Перейти к содержанию

Рекомендуемые сообщения

Здравствуйте! Помогите, пожалуйста, советом. Перенесли сайт на новый хостинг - стали вылезать ошибки, что методы работы с базой Deprecated.  Сайт довольно старый, много допилено вручную прямо в самой системе, не модулями, поэтому легко и просто обновить опенкарт не получится. Можно ли как-то обновиться частично, чтобы избавиться только от устаревших кусков кода по работе с БД? 

 

Вот такая ошибка выводится на сайте, несмотря на то, что в админке вывод ошибок отключен: 

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/sites/****/http/system/database/mysql.php on line 6
 

В этой же папке лежит файл mysqli.php. Может, на него как-то можно переключиться?

 

Заранее спасибо!

Изменено пользователем Absalem

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

 избавиться только от устаревших кусков кода по работе с БД? 

Нет там никаких устаревших кусков

 

 

В этой же папке лежит файл mysqli.php. Может, на него как-то можно переключиться?

Попробуйте. Он у вас пустой скорее всего.

 

В общем, или php понизьте, или драйвера обновите

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Используйте mysqli, для этого есть модуль mysqliz. Либо переключиться можно поменяв в config.php, admin/config.php mysql на mysqli.

Изменено пользователем halfhope
  • +1 2

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Спасибо, обновление драйвера на mysqliz помогло!

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость
Эта тема закрыта для публикации ответов.

  • Похожий контент

    • От Bistore
      Добрый день помогите выбрать добить модуль личных количественных скидок на каждого пользователя отдельно в ограниченном виде!
      Получается
      1) Можно сравнить количество скидок на товар и количество купленных товаров пользователей(только авторизованные будут) сравнивая по айди товара и купленого товара минусовать количество скидок от купленного товара и выводить есть ли скидочный товар или же нет( или какое количество осталось).
       
      2) Я вывел sql  запросом уже в пользователе количество скидочных товаров минус количество купленного товара по айди ----- и теперь нужно по айди сравнить купленный товар и товар связать и по полю kolichestvo которое получилось в пользователе смотреть Kol=>0 ? или меньше и тд  
      Как лучше сделать?
      Как связать купленный товар(этим пользователем)  и товар на сайте?
      В файле который добавил в этот вопрос есть код корзины где осуществил все (jan - это количество скидок на товар) 
      cart.php
    • От AndreyRr
      Генерируется много обращений к MySQL - превышаем лимиты на хостинге, и хостер ругается.
       
      С чем может быть связано, и можете посоветует кто-то толькового программиста кто может решить? (сам магазин небольшой, 300 товаров)
    • От 100napb
      Здравствуйте, уважаемые. Пропустим ту часть, в которой обсуждался бы вопрос откуда у Вас могут появиться всякие няшные смайлики. Скажу лишь, что лепить их направо и налево со всяких гаджетов любит каждый, в том числе, оставляя отзывы у Вас на сайте.
       
      Так вот, задался вопросом, как сохранить и не исказить все эти дорогие эмоции. Потому что ОпернКарт с ними не дружит. Для себя нашел следующие решение:
      Прежде всего, текст со смайлами или без них хранится в БД. Для этого данные должны быть в хипстерской кодировке utf8mb4. И сама БД ее должна поддерживать. Не у всех стоят последние версии Mysql, где все это работает не просто из коробки, а по умолчанию. Что бы перевести таблицу на кодировку с эмодзи выполним ALTER TABLE table_name CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci; где table_name заменяем на нужные таблицы. Можно и всю базу так заальтерить, но я чет очканул. Мне хватило таблиц oc_review и oc_comment (привет Markimax). Обновлять версию мускуля не обязательно. Если только он настолько старый, что о такой кодировке даже не знает. В настройках коннекта к БД опенкарта так же сменим кодировку: файл /system/library/db/mysqli.php,  $this->connection->set_charset("utf8mb4"); Вроде бы все... ах да, возможно, нужно менять параметры кодировки в файлах mpdo.php и mysql.php. Я менял. Может быть придется еще рестартануть службы. Под спойлером результат.  
      Может кому пригодиться.
      Ну и вопрос для сведущих: можно было как-то проще\грамотнее это сделать?
    • От empty
      Добрый день, уважаемые знатоки.
       
      Есть старенький сайт на версии 1.5.5.1.1, на него нужно добавить интеграцию с 1С.
       
      Подскажите пожалуйста, как сделать лучше - обновить движок до минимально приемлемой версии и какой установить потом компонент или модуль?
      Или уже на этой версии можно работать?
       
      Брат владельца, интегратором по сути буду.
       
      Большое спасибо за советы!
    • От Molovka
      Ошибки при установке шаблона, загружал шаблон неделю назад всё было хорошо, взял другой шаблон появилась ошибка

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.